Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Paramètres de chemin d’accès

id string obligatoire

Identifier of the schedule.

Paramètres d’en-tête

Foundry-Features enum obligatoire

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Réponses

The request has succeeded.

Corps

Content-Type: application/json
id string obligatoire

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean obligatoire

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Un des éléments suivants :
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime obligatoire

Base model for Trigger of the schedule.

Celui-ci peut avoir l'une des valeurs suivantes :
Cron CronTrigger

Cron based trigger.

type enum obligatoire
Cron
expression string obligatoire

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum obligatoire

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer obligatoire

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly obligatoire

Recurrence schedule model.

Celui-ci peut avoir l'une des valeurs suivantes :
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum obligatoire
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum obligatoire

Daily recurrence type.

Daily
hours integer[] obligatoire

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum obligatoire

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] obligatoire

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum obligatoire

Monthly recurrence type.

Monthly
daysOfMonth integer[] obligatoire

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum obligatoire
OneTime
triggerAt string obligatoire

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight obligatoire

Schedule task model.

Celui-ci peut avoir l'une des valeurs suivantes :
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum obligatoire
Evaluation
evalId string obligatoire

Identifier of the evaluation group.

evalRun object obligatoire

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum obligatoire
Insight
insight Insight obligatoire

The response body for cluster insights.

id string obligatoire

The unique identifier for the insights report.

metadata InsightsMetadata obligatoire

Metadata about the insights.

createdAt string obligatoire

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string obligatoire

Enum describing allowed operation states.

Un des éléments suivants :
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string obligatoire

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison obligatoire

The request of the insights report.

Celui-ci peut avoir l'une des valeurs suivantes :
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum obligatoire

The type of insights request.

EvaluationRunClusterInsight
evalId string obligatoire

Evaluation Id for the insights.

runIds string[] obligatoire

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string obligatoire

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum obligatoire

The type of request.

AgentClusterInsight
agentName string obligatoire

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string obligatoire

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum obligatoire

The type of request.

EvaluationComparison
evalId string obligatoire

Identifier for the evaluation.

baselineRunId string obligatoire

The baseline run ID for comparison.

treatmentRunIds string[] obligatoire

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Celui-ci peut avoir l'une des valeurs suivantes :
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum obligatoire

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] obligatoire

Comparison results for each treatment run against the baseline.

method string obligatoire

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum obligatoire

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult obligatoire

Insights from the cluster analysis.

summary InsightSummary obligatoire

Summary of the error cluster analysis.

sampleCount integer obligatoire

Total number of samples analyzed.

uniqueSubclusterCount integer obligatoire

Total number of unique subcluster labels.

uniqueClusterCount integer obligatoire

Total number of unique clusters.

method string obligatoire

Method used for clustering.

usage ClusterTokenUsage obligatoire

Token usage for cluster analysis

inputTokenUsage integer obligatoire

input token usage

outputTokenUsage integer obligatoire

output token usage

totalTokenUsage integer obligatoire

total token usage

clusters InsightCluster[] obligatoire

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer obligatoire

X-axis coordinate.

y integer obligatoire

Y-axis coordinate.

size integer obligatoire

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum obligatoire

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult obligatoire

Insights from the cluster analysis.

summary InsightSummary obligatoire

Summary of the error cluster analysis.

sampleCount integer obligatoire

Total number of samples analyzed.

uniqueSubclusterCount integer obligatoire

Total number of unique subcluster labels.

uniqueClusterCount integer obligatoire

Total number of unique clusters.

method string obligatoire

Method used for clustering.

usage ClusterTokenUsage obligatoire

Token usage for cluster analysis

inputTokenUsage integer obligatoire

input token usage

outputTokenUsage integer obligatoire

output token usage

totalTokenUsage integer obligatoire

total token usage

clusters InsightCluster[] obligatoire

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer obligatoire

X-axis coordinate.

y integer obligatoire

Y-axis coordinate.

size integer obligatoire

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object obligatoire

System metadata for the resource.

[key: string] string

Client error

En-têtes

x-ms-error-code string

String error code indicating what went wrong.

Corps

Content-Type: application/json
error Azure.Core.Foundations.Error obligatoire

The error object.

code string obligatoire

One of a server-defined set of error codes.

message string obligatoire

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

En-têtes

x-ms-error-code string

String error code indicating what went wrong.

Corps

Content-Type: application/json
error Azure.Core.Foundations.Error obligatoire

The error object.

code string obligatoire

One of a server-defined set of error codes.

message string obligatoire

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Requête

GET /schedules/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026